extends layout

block content 
  include panel.jade
  if posts
    each post, i in posts
      .mdl-card.post.mdl-cell(class=`mdl-cell--${i==0?8:12}-col`)
        // Logged in check
        if true 
          a#editPost.mdl-button.mdl-js-ripple-effect.mdl-js-button.mdl-button--fab.mdl-button--mini-fab
            i.material-icons.mdl-color-text--white(role='presentation') edit
            span.visuallyhidden edit
          a#removePost.mdl-button.mdl-js-ripple-effect.mdl-js-button.mdl-button--fab.mdl-button--mini-fab(href='/posts/delete/#{post._id}')
            i.material-icons.mdl-color-text--white(role='presentation') delete
            span.visuallyhidden add
        if post.image
          .mdl-card__media.mdl-color-text--grey-50(style=`background-image:url(${post.image || 'none'})`)
            h3 
              a(style=`color:${post.color}`, href='/posts/show/#{post._id}') #{post.title}
        else
          .mdl-card__title.awesome.mdl-color-text--grey-50.mdl-color--accent(style=`color: ${post.color? post.color : 'none'} !important;`)
            h3 
              a(href='/posts/show/#{post._id}') #{post.title}
        .mdl-card__supporting-text.meta.mdl-color-text--grey-600
          .minilogo
          div
            strong #{post.author}
            span #{moment(post.date).format('DD/MM/YYYY')}
          .section-spacer
          .meta__category
            strong #{ post.category }
    if posts.length > 5
      nav.demo-nav.mdl-cell.mdl-cell--12-col
        .section-spacer
        a.demo-nav__button(href='/entry', title='show more')
          | More
          button.mdl-button.mdl-js-button.mdl-js-ripple-effect.mdl-button--icon
            i.material-icons(role='presentation') arrow_forward
